Subject: Re: Bug in new Bison parser generator
From: "David Gluss" <[email-masked]>
To: "Stephan Mueller" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 31 Jan 2002 17:25:00 -0800

Well it took some doing...I downloaded Service Pack 5 (130 Mbytes, once you
find it) for C++ 6.0.

It shows the same symptoms.

It's probably way easier to get a patch into bison.simple than to (just)
have
Microsoft fix the standard C++ header files.

Probably there's the same problem with bison.hairy (just at a guess) but
I've never used that.

Now that I've tried that (using the %semantic_parser line in the .y file) I
can
say there's nothing to worry about, because bison just dumps core if you use
it.

> > -----Original Message-----
> > From: David Gluss [mailto:[email-masked]]
> > Sent: Thursday, January 31, 2002 12:34 PM
> > To: [email-masked]
> > Subject: Bug in new Bison parser generator
> >
> >
> > With version 1.31-1, Bison doesn't work with the Microsoft compiler.
> > A small example is enclosed.  The problem is that Microsoft doesn't
> > have size_t in the std:: namespace, or malloc.
> >
> > Included also, a patch to fix bison.simple.
> >
> > DG

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/